package com.multictrl.modules.business.service;

import com.multictrl.modules.business.dto.speaker.TtsText;

/**
 * psdk负载控制
 *
 * @author Sdy
 * @since 1.0.0 2026/5/8
 */
public interface PsdkService {

    // 设置音量
    String setVolume(String dockSn, Integer volume);

    //设置播放模式
    String setMode(String dockSn, Integer mode);

    //停止播放
    String stopSpeaker(String dockSn);

    //重新播放
    String replaySpeaker(String dockSn);

    //播放TTS文本
    String startSpeakerTts(String dockSn, TtsText ttsText);

    //播放模板文本
    String startSpeakerTemplate(String dockSn, Long id);

    //播放音频文件
    String playAudio(String dockSn, Long id);
}
